Skip to content

Get Tool Executions

GET
/api/v1/projects/{project_id}/tool-executions
curl --request GET \
--url 'https://aura.strangeworks.com/api/v1/projects/example/tool-executions?limit=100&offset=0' \
--header 'Authorization: Bearer <token>'
project_id
required
Project Id
string
conversation_id
Any of:
string
message_id
Any of:
string
turn_id
Any of:
string
status
Any of:
string
tool_name
Any of:
string
since
Any of:
string format: date-time
until
Any of:
string format: date-time
limit
Limit

Maximum rows to return.

integer
default: 100 >= 1 <= 500

Maximum rows to return.

offset
Offset

Rows to skip before the returned page.

integer
0

Rows to skip before the returned page.

Successful Response

Media typeapplication/json
ToolExecutionListResponse
object
executions
required
Executions
Array<object>
ToolExecutionResponse
object
card_id
Any of:
string
completed_at
Any of:
string format: date-time
conversation_id
Any of:
string
created_at
required
Created At
string format: date-time
duration_ms
Any of:
integer
error_code
Any of:
string
error_text
Any of:
string
execution_source
Any of:
string
file_path
Any of:
string
id
required
Id
string
input_json
Any of:
object
key
additional properties
message_id
Any of:
string
owner_id
Any of:
string
owner_type
Any of:
string
panel_key
Any of:
string
parent_tool_use_id
Any of:
string
project_id
required
Project Id
string
result_json
Any of:
scope
Any of:
string
started_at
Any of:
string format: date-time
status
required
Status
string
stream_id
Any of:
string
tool_name
required
Tool Name
string
tool_use_id
required
Tool Use Id
string
turn_id
Any of:
string
limit
required
Limit
integer
offset
required
Offset
integer
total
required
Total
integer
Examplegenerated
{
"executions": [
{
"card_id": "example",
"completed_at": "2026-04-15T12:00:00Z",
"conversation_id": "example",
"created_at": "2026-04-15T12:00:00Z",
"duration_ms": 1,
"error_code": "example",
"error_text": "example",
"execution_source": "example",
"file_path": "example",
"id": "example",
"input_json": {
"additionalProperty": "example"
},
"message_id": "example",
"owner_id": "example",
"owner_type": "example",
"panel_key": "example",
"parent_tool_use_id": "example",
"project_id": "example",
"result_json": "example",
"scope": "example",
"started_at": "2026-04-15T12:00:00Z",
"status": "example",
"stream_id": "example",
"tool_name": "example",
"tool_use_id": "example",
"turn_id": "example"
}
],
"limit": 1,
"offset": 1,
"total": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}